#ifndef TESTUTILSTEMPLATE_H_
#define TESTUTILSTEMPLATE_H_

#include <cxxtest/TestSuite.h>

#include "UtilsTemplate.h"
#include "RGBPixel.h"
#include "GrayPixel.h"

class TestUtilsTemplate : public CxxTest::TestSuite
{
public:
	void test_global_maxPixel() {
		RGBPixel p1(10, 10, 20);
		RGBPixel p2(20, 13, 45);
		RGBPixel p3 = maxPixel(p1, p2);
		TS_ASSERT(p3 == p2);
	}

	void test_global_maxPixel_Array()
	{
		GrayPixel pixArray[3];
		pixArray[0] = GrayPixel(3);
		pixArray[1] = GrayPixel(5);
		pixArray[2] = GrayPixel(234);
		GrayPixel result = maxPixel(pixArray, 3);
		TS_ASSERT(result == GrayPixel(234));
	}

};

#endif /*TESTUTILSTEMPLATE_H_*/
